/* parser auto-generated by pidl */

#include "includes.h"
#include "bin/default/librpc/gen_ndr/ndr_windows_event_ids.h"

_PUBLIC_ enum ndr_err_code ndr_push_event_id_type(struct ndr_push *ndr, int ndr_flags, enum event_id_type r)
{
	NDR_CHECK(ndr_push_enum_uint32(ndr, NDR_SCALARS, r));
	return NDR_ERR_SUCCESS;
}

_PUBLIC_ enum ndr_err_code ndr_pull_event_id_type(struct ndr_pull *ndr, int ndr_flags, enum event_id_type *r)
{
	uint32_t v;
	NDR_CHECK(ndr_pull_enum_uint32(ndr, NDR_SCALARS, &v));
	*r = v;
	return NDR_ERR_SUCCESS;
}

_PUBLIC_ void ndr_print_event_id_type(struct ndr_print *ndr, const char *name, enum event_id_type r)
{
	const char *val = NULL;

	switch (r) {
		case EVT_ID_NONE: val = "EVT_ID_NONE"; break;
		case EVT_ID_SUCCESSFUL_LOGON: val = "EVT_ID_SUCCESSFUL_LOGON"; break;
		case EVT_ID_UNSUCCESSFUL_LOGON: val = "EVT_ID_UNSUCCESSFUL_LOGON"; break;
		case EVT_ID_PASSWORD_CHANGE: val = "EVT_ID_PASSWORD_CHANGE"; break;
		case EVT_ID_PASSWORD_RESET: val = "EVT_ID_PASSWORD_RESET"; break;
		case EVT_ID_USER_ADDED_TO_GLOBAL_SEC_GROUP: val = "EVT_ID_USER_ADDED_TO_GLOBAL_SEC_GROUP"; break;
		case EVT_ID_USER_REMOVED_FROM_GLOBAL_SEC_GROUP: val = "EVT_ID_USER_REMOVED_FROM_GLOBAL_SEC_GROUP"; break;
		case EVT_ID_USER_ADDED_TO_LOCAL_SEC_GROUP: val = "EVT_ID_USER_ADDED_TO_LOCAL_SEC_GROUP"; break;
		case EVT_ID_USER_REMOVED_FROM_LOCAL_SEC_GROUP: val = "EVT_ID_USER_REMOVED_FROM_LOCAL_SEC_GROUP"; break;
		case EVT_ID_USER_ADDED_TO_LOCAL_GROUP: val = "EVT_ID_USER_ADDED_TO_LOCAL_GROUP"; break;
		case EVT_ID_USER_REMOVED_FROM_LOCAL_GROUP: val = "EVT_ID_USER_REMOVED_FROM_LOCAL_GROUP"; break;
		case EVT_ID_USER_ADDED_TO_GLOBAL_GROUP: val = "EVT_ID_USER_ADDED_TO_GLOBAL_GROUP"; break;
		case EVT_ID_USER_REMOVED_FROM_GLOBAL_GROUP: val = "EVT_ID_USER_REMOVED_FROM_GLOBAL_GROUP"; break;
		case EVT_ID_USER_ADDED_TO_UNIVERSAL_SEC_GROUP: val = "EVT_ID_USER_ADDED_TO_UNIVERSAL_SEC_GROUP"; break;
		case EVT_ID_USER_REMOVED_FROM_UNIVERSAL_SEC_GROUP: val = "EVT_ID_USER_REMOVED_FROM_UNIVERSAL_SEC_GROUP"; break;
		case EVT_ID_USER_ADDED_TO_UNIVERSAL_GROUP: val = "EVT_ID_USER_ADDED_TO_UNIVERSAL_GROUP"; break;
		case EVT_ID_USER_REMOVED_FROM_UNIVERSAL_GROUP: val = "EVT_ID_USER_REMOVED_FROM_UNIVERSAL_GROUP"; break;
	}
	ndr_print_enum(ndr, name, "ENUM", val, r);
}

_PUBLIC_ enum ndr_err_code ndr_push_event_logon_type(struct ndr_push *ndr, int ndr_flags, enum event_logon_type r)
{
	NDR_CHECK(ndr_push_enum_uint32(ndr, NDR_SCALARS, r));
	return NDR_ERR_SUCCESS;
}

_PUBLIC_ enum ndr_err_code ndr_pull_event_logon_type(struct ndr_pull *ndr, int ndr_flags, enum event_logon_type *r)
{
	uint32_t v;
	NDR_CHECK(ndr_pull_enum_uint32(ndr, NDR_SCALARS, &v));
	*r = v;
	return NDR_ERR_SUCCESS;
}

_PUBLIC_ void ndr_print_event_logon_type(struct ndr_print *ndr, const char *name, enum event_logon_type r)
{
	const char *val = NULL;

	switch (r) {
		case EVT_LOGON_INTERACTIVE: val = "EVT_LOGON_INTERACTIVE"; break;
		case EVT_LOGON_NETWORK: val = "EVT_LOGON_NETWORK"; break;
		case EVT_LOGON_BATCH: val = "EVT_LOGON_BATCH"; break;
		case EVT_LOGON_SERVICE: val = "EVT_LOGON_SERVICE"; break;
		case EVT_LOGON_UNLOCK: val = "EVT_LOGON_UNLOCK"; break;
		case EVT_LOGON_NETWORK_CLEAR_TEXT: val = "EVT_LOGON_NETWORK_CLEAR_TEXT"; break;
		case EVT_LOGON_NEW_CREDENTIALS: val = "EVT_LOGON_NEW_CREDENTIALS"; break;
		case EVT_LOGON_REMOTE_INTERACTIVE: val = "EVT_LOGON_REMOTE_INTERACTIVE"; break;
		case EVT_LOGON_CACHED_INTERACTIVE: val = "EVT_LOGON_CACHED_INTERACTIVE"; break;
	}
	ndr_print_enum(ndr, name, "ENUM", val, r);
}

